{% extends 'base.html.twig' %}

{% block body %}

    <div class="container">
        <div class="dreamcrub">
            <ul class="breadcrumbs">

                <li class="home">
                    <a href="{{ path('home') }}" title="Go to Home Page"><img
                                src="{{ asset('/build/images/home.png') }}" alt="Home"/></a>&nbsp;
                    <span>&gt;</span>
                </li>
                <li>
                    Cart({{ cart ? cart['products']|length : 0 }})
                </li>
            </ul>
            <ul class="previous">
                <li><a href="{{ path('home') }}">Back to Previous Page</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>

    <section id="categoryBanner">
        <h1>Your cart</h1>
    </section>
    <br>
    <br>

    <div class="container">
        {% if cart is not empty and cart['products'] %}
            <div class="card">
                <div class="card-body">

                    <div class="box">
                        <table id="tableCart" class="table table-hover">
                            <thead>
                            <tr>
                                <th></th>
                                <th>Product</th>
                                <th>Price</th>
                                <th>Quantity</th>
                                <th>Subtotal</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for product in cart['products'] %}
                                <tr>
                                    <td><a href="#">Images</a></td>
                                    <td>
                                        <a href="{{ path('shop.'~ product.sex ~'.product', {'id': product.id}) }}">{{ product.name }}</a>
                                    </td>
                                    <td>{{ product.price }}</td>
                                    <td>
                                        <button class="remove_from_cart" type="button" name="remove_from_cart"
                                                id="{{ product.id }}">
                                            -
                                        </button>
                                        {{ cart['count'][product.id] }}
                                        <button class="add_to_cart" type="button" name="add_to_cart"
                                                id="{{ product.id }}">
                                            +
                                        </button>
                                    </td>
                                    <td>{{ cart['sub_total'][product.id] }}</td>
                                    <td>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="action-checkout">
                <a class="checkout btn btn-success" href="{{ path('shop.order.checkout') }}">Checkout</a>
                <span class="grand-total">Grand total: {{ cart['grand_total'] }}</span>
            </div>
        {% else %}
            <h1>Your Cart is empty</h1>
        {% endif %}
    </div>

{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('cart') }}
{% endblock %}